Update Recall
curl --request PATCH \
--url https://api.usecobalt.com/v1/recalls/{id} \
--header 'Content-Type: application/json' \
--header 'access_token: <api-key>' \
--header 'client_id: <api-key>' \
--header 'client_secret: <api-key>' \
--data '
{
"status": "<string>",
"status_note": "<string>",
"note": "<string>",
"note_type": "<string>"
}
'import requests
url = "https://api.usecobalt.com/v1/recalls/{id}"
payload = {
"status": "<string>",
"status_note": "<string>",
"note": "<string>",
"note_type": "<string>"
}
headers = {
"client_id": "<api-key>",
"client_secret": "<api-key>",
"access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
client_id: '<api-key>',
client_secret: '<api-key>',
access_token: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: '<string>',
status_note: '<string>',
note: '<string>',
note_type: '<string>'
})
};
fetch('https://api.usecobalt.com/v1/recalls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"recall_id": "<string>",
"job_id": "<string>"
}Recalls
Update Recall
Changes a recall’s status and/or adds a note.
PATCH
/
recalls
/
{id}
Update Recall
Authorizations
Path Parameters
The Cobalt recall id (from GET /v1/recalls)
Body
application/json
⌘I